HDF: hdf/src/cdeflate_priv.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
cdeflate_priv.h File Reference
`#include "hdf_priv.h"`
`#include "zlib.h"`

## Data Structures
struct | comp_coder_deflate_info_t

## Macros
#define | intf zintf

## Functions
int32 | HCPcdeflate_stread (accrec_t *rec)
int32 | HCPcdeflate_stwrite (accrec_t *rec)
int32 | HCPcdeflate_seek (accrec_t *access_rec, int32 offset, int origin)
int32 | HCPcdeflate_inquire (accrec_t *access_rec, int32 *pfile_id, uint16 *ptag, uint16 *pref, int32 *plength, int32 *poffset, int32 *pposn, int16 *paccess, int16 *pspecial)
int32 | HCPcdeflate_read (accrec_t *access_rec, int32 length, void *data)
int32 | HCPcdeflate_write (accrec_t *access_rec, int32 length, const void *data)
int | HCPcdeflate_endaccess (accrec_t *access_rec)

## Variables
funclist_t | cdeflate_funcs

## Macro Definition Documentation

## ◆ intf

#define intf zintf

## Function Documentation

## ◆ HCPcdeflate_endaccess()

int HCPcdeflate_endaccess | ( | accrec_t * | access_rec | ) |
| extern

## ◆ HCPcdeflate_inquire()

int32 HCPcdeflate_inquire | ( | accrec_t * | access_rec,
|  | int32 * | pfile_id,
|  | uint16 * | ptag,
|  | uint16 * | pref,
|  | int32 * | plength,
|  | int32 * | poffset,
|  | int32 * | pposn,
|  | int16 * | paccess,
|  | int16 * | pspecial )
| extern

## ◆ HCPcdeflate_read()

int32 HCPcdeflate_read | ( | accrec_t * | access_rec,
|  | int32 | length,
|  | void * | data )
| extern

## ◆ HCPcdeflate_seek()

int32 HCPcdeflate_seek | ( | accrec_t * | access_rec,
|  | int32 | offset,
|  | int | origin )
| extern

## ◆ HCPcdeflate_stread()

int32 HCPcdeflate_stread | ( | accrec_t * | rec | ) |
| extern

## ◆ HCPcdeflate_stwrite()

int32 HCPcdeflate_stwrite | ( | accrec_t * | rec | ) |
| extern

## ◆ HCPcdeflate_write()

int32 HCPcdeflate_write | ( | accrec_t * | access_rec,
|  | int32 | length,
|  | const void * | data )
| extern

## Variable Documentation

## ◆ cdeflate_funcs

funclist_t cdeflate_funcs
| extern